Functions
FLAG_Management
Peripheral Driver » LL Driver » DMA » Functions
Collaboration diagram for FLAG_Management:

## Functions
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_gtfr (dma_regs_t *DMAx)
| Get DMA Module global transfer complete interrupt status. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_gblk (dma_regs_t *DMAx)
| Get DMA Module global block complete interrupt status. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_gsrct (dma_regs_t *DMAx)
| Get DMA Module global source transaction complete interrupt status. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_gdstt (dma_regs_t *DMAx)
| Get DMA Module global destination transaction complete interrupt status. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_gerr (dma_regs_t *DMAx)
| Get DMA Module global error interrupt status. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_rtfr (dma_regs_t *DMAx, uint32_t channel)
| Indicate the Raw Status of IntTfr Interrupt flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_rblk (dma_regs_t *DMAx, uint32_t channel)
| Indicate the Raw Status of IntBlock Interrupt flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_rsrct (dma_regs_t *DMAx, uint32_t channel)
| Indicate the Raw Status of IntSrcTran Interrupt flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_rdstt (dma_regs_t *DMAx, uint32_t channel)
| Indicate the Raw Status of IntDstTran Interrupt flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_rerr (dma_regs_t *DMAx, uint32_t channel)
| Indicate the Raw Status of IntErr Interrupt flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr (dma_regs_t *DMAx, uint32_t channel)
| Indicate the status of DMA Channel transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr0 (dma_regs_t *DMAx)
| Indicate the status of Channel 0 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr1 (dma_regs_t *DMAx)
| Indicate the status of Channel 1 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr2 (dma_regs_t *DMAx)
| Indicate the status of Channel 2 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr3 (dma_regs_t *DMAx)
| Indicate the status of Channel 3 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr4 (dma_regs_t *DMAx)
| Indicate the status of Channel 4 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr5 (dma_regs_t *DMAx)
| Indicate the status of Channel 5 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr6 (dma_regs_t *DMAx)
| Indicate the status of Channel 6 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr7 (dma_regs_t *DMAx)
| Indicate the status of Channel 7 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk (dma_regs_t *DMAx, uint32_t channel)
| Indicate the status of DMA Channel block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk0 (dma_regs_t *DMAx)
| Indicate the status of Channel 0 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk1 (dma_regs_t *DMAx)
| Indicate the status of Channel 1 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk2 (dma_regs_t *DMAx)
| Indicate the status of Channel 2 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk3 (dma_regs_t *DMAx)
| Indicate the status of Channel 3 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk4 (dma_regs_t *DMAx)
| Indicate the status of Channel 4 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk5 (dma_regs_t *DMAx)
| Indicate the status of Channel 5 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk6 (dma_regs_t *DMAx)
| Indicate the status of Channel 6 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk7 (dma_regs_t *DMAx)
| Indicate the status of Channel 7 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct (dma_regs_t *DMAx, uint32_t channel)
| Indicate the status of DMA Channel source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct0 (dma_regs_t *DMAx)
| Indicate the status of Channel 0 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct1 (dma_regs_t *DMAx)
| Indicate the status of Channel 1 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct2 (dma_regs_t *DMAx)
| Indicate the status of Channel 2 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct3 (dma_regs_t *DMAx)
| Indicate the status of Channel 3 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct4 (dma_regs_t *DMAx)
| Indicate the status of Channel 4 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct5 (dma_regs_t *DMAx)
| Indicate the status of Channel 5 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct6 (dma_regs_t *DMAx)
| Indicate the status of Channel 6 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct7 (dma_regs_t *DMAx)
| Indicate the status of Channel 7 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt (dma_regs_t *DMAx, uint32_t channel)
| Indicate the status of DMA Channel destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt0 (dma_regs_t *DMAx)
| Indicate the status of Channel 0 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt1 (dma_regs_t *DMAx)
| Indicate the status of Channel 1 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt2 (dma_regs_t *DMAx)
| Indicate the status of Channel 2 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt3 (dma_regs_t *DMAx)
| Indicate the status of Channel 3 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt4 (dma_regs_t *DMAx)
| Indicate the status of Channel 4 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt5 (dma_regs_t *DMAx)
| Indicate the status of Channel 5 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt6 (dma_regs_t *DMAx)
| Indicate the status of Channel 6 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt7 (dma_regs_t *DMAx)
| Indicate the status of Channel 7 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err (dma_regs_t *DMAx, uint32_t channel)
| Indicate the status of DMA Channel error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err0 (dma_regs_t *DMAx)
| Indicate the status of Channel 0 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err1 (dma_regs_t *DMAx)
| Indicate the status of Channel 1 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err2 (dma_regs_t *DMAx)
| Indicate the status of Channel 2 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err3 (dma_regs_t *DMAx)
| Indicate the status of Channel 3 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err4 (dma_regs_t *DMAx)
| Indicate the status of Channel 4 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err5 (dma_regs_t *DMAx)
| Indicate the status of Channel 5 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err6 (dma_regs_t *DMAx)
| Indicate the status of Channel 6 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err7 (dma_regs_t *DMAx)
| Indicate the status of Channel 7 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr (dma_regs_t *DMAx, uint32_t channel)
| Clear DMA Channel transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr0 (dma_regs_t *DMAx)
| Clear Channel 0 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr1 (dma_regs_t *DMAx)
| Clear Channel 1 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr2 (dma_regs_t *DMAx)
| Clear Channel 2 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr3 (dma_regs_t *DMAx)
| Clear Channel 3 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr4 (dma_regs_t *DMAx)
| Clear Channel 4 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr5 (dma_regs_t *DMAx)
| Clear Channel 5 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr6 (dma_regs_t *DMAx)
| Clear Channel 6 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr7 (dma_regs_t *DMAx)
| Clear Channel 7 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk (dma_regs_t *DMAx, uint32_t channel)
| Clear DMA Channel block complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk0 (dma_regs_t *DMAx)
| Clear Channel 0 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk1 (dma_regs_t *DMAx)
| Clear Channel 1 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk2 (dma_regs_t *DMAx)
| Clear Channel 2 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk3 (dma_regs_t *DMAx)
| Clear Channel 3 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk4 (dma_regs_t *DMAx)
| Clear Channel 4 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk5 (dma_regs_t *DMAx)
| Clear Channel 5 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk6 (dma_regs_t *DMAx)
| Clear Channel 6 Block Cmplete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk7 (dma_regs_t *DMAx)
| Clear Channel 7 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct (dma_regs_t *DMAx, uint32_t channel)
| Clear DMA Channel source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct0 (dma_regs_t *DMAx)
| Clear Channel 0 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct1 (dma_regs_t *DMAx)
| Clear Channel 1 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct2 (dma_regs_t *DMAx)
| Clear Channel 2 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct3 (dma_regs_t *DMAx)
| Clear Channel 3 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct4 (dma_regs_t *DMAx)
| Clear Channel 4 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct5 (dma_regs_t *DMAx)
| Clear Channel 5 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct6 (dma_regs_t *DMAx)
| Clear Channel 6 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct7 (dma_regs_t *DMAx)
| Clear Channel 7 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt (dma_regs_t *DMAx, uint32_t channel)
| Clear DMA Channel destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt0 (dma_regs_t *DMAx)
| Clear Channel 0 destination transaction Complete status. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt1 (dma_regs_t *DMAx)
| Clear Channel 1 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt2 (dma_regs_t *DMAx)
| Clear Channel 2 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt3 (dma_regs_t *DMAx)
| Clear Channel 3 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt4 (dma_regs_t *DMAx)
| Clear Channel 4 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt5 (dma_regs_t *DMAx)
| Clear Channel 5 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt6 (dma_regs_t *DMAx)
| Clear Channel 6 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt7 (dma_regs_t *DMAx)
| Clear Channel 7 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err (dma_regs_t *DMAx, uint32_t channel)
| Clear DMA Channel error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err0 (dma_regs_t *DMAx)
| Clear Channel 0 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err1 (dma_regs_t *DMAx)
| Clear Channel 1 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err2 (dma_regs_t *DMAx)
| Clear Channel 2 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err3 (dma_regs_t *DMAx)
| Clear Channel 3 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err4 (dma_regs_t *DMAx)
| Clear Channel 4 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err5 (dma_regs_t *DMAx)
| Clear Channel 5 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err6 (dma_regs_t *DMAx)
| Clear Channel 6 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err7 (dma_regs_t *DMAx)
| Clear Channel 7 error flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_dma_clear_flag_blk()

__STATIC_INLINE void ll_dma_clear_flag_blk | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Clear DMA Channel block complete flag.

Register | BitsName
--- | ---
CLR_BLK | CLEAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None. |

Definition at line 3909 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk0()

__STATIC_INLINE void ll_dma_clear_flag_blk0 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 0 Block Complete flag.

Register | BitsName
--- | ---
CLR_BLK | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3924 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk1()

__STATIC_INLINE void ll_dma_clear_flag_blk1 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 1 Block Complete flag.

Register | BitsName
--- | ---
CLR_BLK | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3939 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk2()

__STATIC_INLINE void ll_dma_clear_flag_blk2 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 2 Block Complete flag.

Register | BitsName
--- | ---
CLR_BLK | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3954 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk3()

__STATIC_INLINE void ll_dma_clear_flag_blk3 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 3 Block Complete flag.

Register | BitsName
--- | ---
CLR_BLK | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3969 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk4()

__STATIC_INLINE void ll_dma_clear_flag_blk4 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 4 Block Complete flag.

Register | BitsName
--- | ---
CLR_BLK | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3984 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk5()

__STATIC_INLINE void ll_dma_clear_flag_blk5 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 5 Block Complete flag.

Register | BitsName
--- | ---
CLR_BLK | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3999 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk6()

__STATIC_INLINE void ll_dma_clear_flag_blk6 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 6 Block Cmplete flag.

Register | BitsName
--- | ---
CLR_BLK | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4014 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk7()

__STATIC_INLINE void ll_dma_clear_flag_blk7 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 7 Block Complete flag.

Register | BitsName
--- | ---
CLR_BLK | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4029 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt()

__STATIC_INLINE void ll_dma_clear_flag_dstt | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Clear DMA Channel destination transaction Complete flag.

Register | BitsName
--- | ---
CLR_DST_TRN | CLEAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None. |

Definition at line 4197 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt0()

__STATIC_INLINE void ll_dma_clear_flag_dstt0 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 0 destination transaction Complete status.

Register | BitsName
--- | ---
CLR_DST_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4212 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt1()

__STATIC_INLINE void ll_dma_clear_flag_dstt1 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 1 destination transaction Complete flag.

Register | BitsName
--- | ---
CLR_DST_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4227 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt2()

__STATIC_INLINE void ll_dma_clear_flag_dstt2 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 2 destination transaction Complete flag.

Register | BitsName
--- | ---
CLR_DST_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4242 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt3()

__STATIC_INLINE void ll_dma_clear_flag_dstt3 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 3 destination transaction Complete flag.

Register | BitsName
--- | ---
CLR_DST_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4257 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt4()

__STATIC_INLINE void ll_dma_clear_flag_dstt4 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 4 destination transaction Complete flag.

Register | BitsName
--- | ---
CLR_DST_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4272 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt5()

__STATIC_INLINE void ll_dma_clear_flag_dstt5 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 5 destination transaction Complete flag.

Register | BitsName
--- | ---
CLR_DST_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4287 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt6()

__STATIC_INLINE void ll_dma_clear_flag_dstt6 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 6 destination transaction Complete flag.

Register | BitsName
--- | ---
CLR_DST_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4302 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt7()

__STATIC_INLINE void ll_dma_clear_flag_dstt7 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 7 destination transaction Complete flag.

Register | BitsName
--- | ---
CLR_DST_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4317 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err()

__STATIC_INLINE void ll_dma_clear_flag_err | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Clear DMA Channel error flag.

Register | BitsName
--- | ---
CLR_ERR | CLEAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None. |

Definition at line 4341 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err0()

__STATIC_INLINE void ll_dma_clear_flag_err0 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 0 error flag.

Register | BitsName
--- | ---
CLR_ERR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4356 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err1()

__STATIC_INLINE void ll_dma_clear_flag_err1 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 1 error flag.

Register | BitsName
--- | ---
CLR_ERR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4371 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err2()

__STATIC_INLINE void ll_dma_clear_flag_err2 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 2 error flag.

Register | BitsName
--- | ---
CLR_ERR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4386 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err3()

__STATIC_INLINE void ll_dma_clear_flag_err3 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 3 error flag.

Register | BitsName
--- | ---
CLR_ERR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4401 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err4()

__STATIC_INLINE void ll_dma_clear_flag_err4 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 4 error flag.

Register | BitsName
--- | ---
CLR_ERR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4416 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err5()

__STATIC_INLINE void ll_dma_clear_flag_err5 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 5 error flag.

Register | BitsName
--- | ---
CLR_ERR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4431 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err6()

__STATIC_INLINE void ll_dma_clear_flag_err6 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 6 error flag.

Register | BitsName
--- | ---
CLR_ERR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4446 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err7()

__STATIC_INLINE void ll_dma_clear_flag_err7 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 7 error flag.

Register | BitsName
--- | ---
CLR_ERR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4461 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct()

__STATIC_INLINE void ll_dma_clear_flag_srct | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Clear DMA Channel source transaction Complete flag.

Register | BitsName
--- | ---
CLR_SRC_TRN | CLEAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None. |

Definition at line 4053 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct0()

__STATIC_INLINE void ll_dma_clear_flag_srct0 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 0 source transaction Complete flag.

Register | BitsName
--- | ---
CLR_SRC_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4068 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct1()

__STATIC_INLINE void ll_dma_clear_flag_srct1 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 1 source transaction Complete flag.

Register | BitsName
--- | ---
CLR_SRC_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4083 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct2()

__STATIC_INLINE void ll_dma_clear_flag_srct2 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 2 source transaction Complete flag.

Register | BitsName
--- | ---
CLR_SRC_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4098 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct3()

__STATIC_INLINE void ll_dma_clear_flag_srct3 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 3 source transaction Complete flag.

Register | BitsName
--- | ---
CLR_SRC_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4113 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct4()

__STATIC_INLINE void ll_dma_clear_flag_srct4 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 4 source transaction Complete flag.

Register | BitsName
--- | ---
CLR_SRC_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4128 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct5()

__STATIC_INLINE void ll_dma_clear_flag_srct5 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 5 source transaction Complete flag.

Register | BitsName
--- | ---
CLR_SRC_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4143 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct6()

__STATIC_INLINE void ll_dma_clear_flag_srct6 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 6 source transaction Complete flag.

Register | BitsName
--- | ---
CLR_SRC_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4158 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct7()

__STATIC_INLINE void ll_dma_clear_flag_srct7 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 7 source transaction Complete flag.

Register | BitsName
--- | ---
CLR_SRC_TRN | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4173 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr()

__STATIC_INLINE void ll_dma_clear_flag_tfr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Clear DMA Channel transfer complete flag.

Register | BitsName
--- | ---
CLR_TFR | CLEAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None. |

Definition at line 3765 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr0()

__STATIC_INLINE void ll_dma_clear_flag_tfr0 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 0 transfer complete flag.

Register | BitsName
--- | ---
CLR_TFR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3780 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr1()

__STATIC_INLINE void ll_dma_clear_flag_tfr1 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 1 transfer complete flag.

Register | BitsName
--- | ---
CLR_TFR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3795 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr2()

__STATIC_INLINE void ll_dma_clear_flag_tfr2 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 2 transfer complete flag.

Register | BitsName
--- | ---
CLR_TFR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3810 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr3()

__STATIC_INLINE void ll_dma_clear_flag_tfr3 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 3 transfer complete flag.

Register | BitsName
--- | ---
CLR_TFR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3825 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr4()

__STATIC_INLINE void ll_dma_clear_flag_tfr4 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 4 transfer complete flag.

Register | BitsName
--- | ---
CLR_TFR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3840 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr5()

__STATIC_INLINE void ll_dma_clear_flag_tfr5 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 5 transfer complete flag.

Register | BitsName
--- | ---
CLR_TFR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3855 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr6()

__STATIC_INLINE void ll_dma_clear_flag_tfr6 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 6 transfer complete flag.

Register | BitsName
--- | ---
CLR_TFR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3870 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr7()

__STATIC_INLINE void ll_dma_clear_flag_tfr7 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 7 transfer complete flag.

Register | BitsName
--- | ---
CLR_TFR | CLEAR

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3885 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the status of DMA Channel block complete flag.

Register | BitsName
--- | ---
STAT_BLK | STATUS

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 3189 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk0()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk0 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 0 block complete flag.

Register | BitsName
--- | ---
STAT_BLK | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3204 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk1()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk1 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 1 block complete flag.

Register | BitsName
--- | ---
STAT_BLK | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3219 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk2()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk2 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 2 block complete flag.

Register | BitsName
--- | ---
STAT_BLK | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3234 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk3()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk3 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 3 block complete flag.

Register | BitsName
--- | ---
STAT_BLK | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3249 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk4()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk4 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 4 block complete flag.

Register | BitsName
--- | ---
STAT_BLK | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3264 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk5()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk5 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 5 block complete flag.

Register | BitsName
--- | ---
STAT_BLK | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3279 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk6()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk6 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 6 block complete flag.

Register | BitsName
--- | ---
STAT_BLK | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3294 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk7()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk7 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 7 block complete flag.

Register | BitsName
--- | ---
STAT_BLK | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3309 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the status of DMA Channel destination transaction complete flag.

Register | BitsName
--- | ---
STAT_DST_TRN | STATUS

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 3477 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt0()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt0 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 0 destination transaction complete flag.

Register | BitsName
--- | ---
STAT_DST_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3492 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt1()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt1 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 1 destination transaction complete flag.

Register | BitsName
--- | ---
STAT_DST_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3507 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt2()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt2 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 2 destination transaction complete flag.

Register | BitsName
--- | ---
STAT_DST_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3522 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt3()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt3 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 3 destination transaction complete flag.

Register | BitsName
--- | ---
STAT_DST_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3537 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt4()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt4 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 4 destination transaction complete flag.

Register | BitsName
--- | ---
STAT_DST_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3552 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt5()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt5 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 5 destination transaction complete flag.

Register | BitsName
--- | ---
STAT_DST_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3567 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt6()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt6 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 6 destination transaction complete flag.

Register | BitsName
--- | ---
STAT_DST_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3582 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt7()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt7 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 7 destination transaction complete flag.

Register | BitsName
--- | ---
STAT_DST_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3597 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the status of DMA Channel error flag.

Register | BitsName
--- | ---
STAT_ERR | STATUS

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 3621 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err0()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err0 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 0 error flag.

Register | BitsName
--- | ---
STAT_ERR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3636 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err1()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err1 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 1 error flag.

Register | BitsName
--- | ---
STAT_ERR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3651 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err2()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err2 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 2 error flag.

Register | BitsName
--- | ---
STAT_ERR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3666 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err3()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err3 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 3 error flag.

Register | BitsName
--- | ---
STAT_ERR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3681 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err4()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err4 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 4 error flag.

Register | BitsName
--- | ---
STAT_ERR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3696 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err5()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err5 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 5 error flag.

Register | BitsName
--- | ---
STAT_ERR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3711 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err6()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err6 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 6 error flag.

Register | BitsName
--- | ---
STAT_ERR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3726 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err7()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err7 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 7 error flag.

Register | BitsName
--- | ---
STAT_ERR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3741 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_gblk()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_gblk | ( | dma_regs_t * | DMAx | ) |

Get DMA Module global block complete interrupt status.

Register | BitsName
--- | ---
STATUS_INT | BLOCK

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2856 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_gdstt()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_gdstt | ( | dma_regs_t * | DMAx | ) |

Get DMA Module global destination transaction complete interrupt status.

Register | BitsName
--- | ---
STATUS_INT | DSTT

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2886 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_gerr()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_gerr | ( | dma_regs_t * | DMAx | ) |

Get DMA Module global error interrupt status.

Register | BitsName
--- | ---
STATUS_INT | ERR

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2901 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_gsrct()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_gsrct | ( | dma_regs_t * | DMAx | ) |

Get DMA Module global source transaction complete interrupt status.

Register | BitsName
--- | ---
STATUS_INT | SRCT

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2871 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_gtfr()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_gtfr | ( | dma_regs_t * | DMAx | ) |

Get DMA Module global transfer complete interrupt status.

Register | BitsName
--- | ---
STATUS_INT | TFR

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2841 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_rblk()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_rblk | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the Raw Status of IntBlock Interrupt flag.

Register | BitsName
--- | ---
RAW_BLK | RAW

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2949 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_rdstt()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_rdstt | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the Raw Status of IntDstTran Interrupt flag.

Register | BitsName
--- | ---
RAW_DST_TRN | RAW

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2997 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_rerr()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_rerr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the Raw Status of IntErr Interrupt flag.

Register | BitsName
--- | ---
RAW_ERR | RAW

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 3021 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_rsrct()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_rsrct | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the Raw Status of IntSrcTran Interrupt flag.

Register | BitsName
--- | ---
RAW_SRC_TRN | RAW

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2973 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_rtfr()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_rtfr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the Raw Status of IntTfr Interrupt flag.

Register | BitsName
--- | ---
RAW_TFR | RAW

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2925 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the status of DMA Channel source transaction complete flag.

Register | BitsName
--- | ---
STAT_SRC_TRN | STATUS

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 3333 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct0()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct0 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 0 source transaction complete flag.

Register | BitsName
--- | ---
STAT_SRC_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3348 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct1()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct1 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 1 source transaction complete flag.

Register | BitsName
--- | ---
STAT_SRC_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3363 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct2()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct2 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 2 source transaction complete flag.

Register | BitsName
--- | ---
STAT_SRC_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3378 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct3()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct3 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 3 source transaction complete flag.

Register | BitsName
--- | ---
STAT_SRC_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3393 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct4()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct4 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 4 source transaction complete flag.

Register | BitsName
--- | ---
STAT_SRC_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3408 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct5()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct5 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 5 source transaction complete flag.

Register | BitsName
--- | ---
STAT_SRC_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3423 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct6()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct6 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 6 source transaction complete flag.

Register | BitsName
--- | ---
STAT_SRC_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3438 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct7()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct7 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 7 source transaction complete flag.

Register | BitsName
--- | ---
STAT_SRC_TRN | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3453 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the status of DMA Channel transfer complete flag.

Register | BitsName
--- | ---
STAT_TFR | STATUS

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 3045 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr0()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr0 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 0 transfer complete flag.

Register | BitsName
--- | ---
STAT_TFR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3060 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr1()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr1 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 1 transfer complete flag.

Register | BitsName
--- | ---
STAT_TFR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3075 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr2()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr2 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 2 transfer complete flag.

Register | BitsName
--- | ---
STAT_TFR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3090 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr3()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr3 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 3 transfer complete flag.

Register | BitsName
--- | ---
STAT_TFR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3105 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr4()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr4 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 4 transfer complete flag.

Register | BitsName
--- | ---
STAT_TFR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3120 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr5()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr5 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 5 transfer complete flag.

Register | BitsName
--- | ---
STAT_TFR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3135 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr6()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr6 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 6 transfer complete flag.

Register | BitsName
--- | ---
STAT_TFR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3150 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr7()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr7 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 7 transfer complete flag.

Register | BitsName
--- | ---
STAT_TFR | STATUS

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3165 of file gr55xx_ll_dma.h.